PyJavaPackage (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyJavaPackage

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyJavaPackage

All Implemented Interfaces:
  java.io.Serializable

public class PyJavaPackage
extends PyObject

A representation of java package.

See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__`
`PyStringMap` | `__dict__`
`java.lang.String` | `__file__`
`PackageManager` | `__mgr__` (Control) package manager whose hierarchy contains this java pkg.
`java.lang.String` | `__name__`
`PyStringMap` | `clsSet` Its keys are the names of statically known classes.

Constructor Summary
`PyJavaPackage(java.lang.String name)`
`PyJavaPackage(java.lang.String name, PackageManager mgr)`
`PyJavaPackage(java.lang.String name, PackageManager mgr, java.lang.String jarfile)`
`PyJavaPackage(java.lang.String name, java.lang.String jarfile)`

Method Summary
`PyObject` | `__dir__()` Equivalent to the standard Python __dir__ method.
`PyObject` | `__findattr__(java.lang.String name)` A variant of the __findattr__ method which accepts a Java `String` as the name.
`void` | `__setattr__(java.lang.String attr, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`PyObject` | `addClass(java.lang.String name, java.lang.Class c)`
`PyObject` | `addLazyClass(java.lang.String name)`
`PyJavaPackage` | `addPackage(java.lang.String name)`
`PyJavaPackage` | `addPackage(java.lang.String name, java.lang.String jarfile)`
`void` | `addPlaceholders(java.lang.String classes)` Add statically known classes.
`PyObject` | `fillDir()` Used for 'from xyz import *', dynamically dir pkg filling up __dict__.
`java.lang.String` | `toString()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __name__

    public java.lang.String __name__

### __dict__

    public PyStringMap __dict__

### clsSet

    public PyStringMap clsSet

  Its keys are the names of statically known classes. E.g. from jars pre-scan.

### __file__

    public java.lang.String __file__

### __mgr__

    public PackageManager __mgr__

  (Control) package manager whose hierarchy contains this java pkg.

### __class__

    public static PyClass __class__

Constructor Detail

### PyJavaPackage

    public PyJavaPackage(java.lang.String name)

### PyJavaPackage

    public PyJavaPackage(java.lang.String name,
                         java.lang.String jarfile)

### PyJavaPackage

    public PyJavaPackage(java.lang.String name,
                         PackageManager mgr)

### PyJavaPackage

    public PyJavaPackage(java.lang.String name,
                         PackageManager mgr,
                         java.lang.String jarfile)

Method Detail

### addPackage

    public PyJavaPackage addPackage(java.lang.String name)

### addPackage

    public PyJavaPackage addPackage(java.lang.String name,
                                    java.lang.String jarfile)

### addClass

    public PyObject addClass(java.lang.String name,
                             java.lang.Class c)

### addLazyClass

    public PyObject addLazyClass(java.lang.String name)

### addPlaceholders

    public void addPlaceholders(java.lang.String classes)

  Add statically known classes.

  Parameters:
    `classes` - their names as comma-separated string

### __dir__

    public PyObject __dir__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __dir__ method.

  Overrides:
    `__dir__` in class `PyObject`
  Returns:
    a list of names defined by this object.

### fillDir

    public PyObject fillDir()

  Used for 'from xyz import *', dynamically dir pkg filling up __dict__. It uses `PackageManager.doDir(org.python.core.PyJavaPackage, boolean, boolean)` implementation furnished by the control package manager with instatiate true. The package manager should lazily load classes with `addLazyClass(java.lang.String)` in the package.

  Returns:
    list of member names

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __findattr__ method which accepts a Java `String` as the name. By default, this method will call `__findattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance. Warning: name must be an interned string!!!!!!!!

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` - the name to lookup in this namespace must be an interned string .
  Returns:
    the value corresponding to name or null if name is not found
  See Also:
    `PyObject.__findattr__(PyString)`

### __setattr__

    public void __setattr__(java.lang.String attr,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `attr` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage